# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.1.0"


from FatxFast.modes import mode
import pygame

class PracticeMode(mode.GameMode):

    def key_pressed(self, key, utf, mod):
        super(PracticeMode, self).key_pressed(key, utf, mod)
        if key == pygame.K_HOME:
            if self.scene.levelsystem.increase_level():
                self.level_up(self.player1)
        if key == pygame.K_END:    
            if self.scene.levelsystem.decrease_level():
                self.level_up(self.player1)

    def open_map(self, player):
        self.scene.open_map()
